<?php

require_once __DIR__.'/vendor/autoload.php';

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://bizonwallet.com
 * @since             1.0.0
 * @package           
 *
 * @wordpress-plugin
 * Plugin Name:       Bizon
 * Description:       Bizon Wallet
 * Version:           1.0
 * Author:            Cryptom LLC
 * Author URI:        https://bizonwallet.com
 * Text Domain:       Bizon
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Rename this for your plugin and update it as you release new versions.
 */

define('BIZON_API_ENDPOINT', 'https://bizonwallet.com');
define('BIZON_PLUGIN_VERSION', '1.0');
define('BIZON_PLUGIN_NAME', 'Bizon');
define('BIZON_ROOT', plugin_dir_path(__FILE__));
define('BIZON_PLUGIN_URL', str_replace('index.php','',plugins_url( 'index.php', __FILE__ )));


function bizon_init()
{
	if ( !class_exists( 'WC_Payment_Gateway' ) ) return;

	include 'gateway/class-gateway.php';

	add_filter('woocommerce_payment_gateways', 'bizon_gateway');

	function bizon_gateway( $methods )
	{
		$methods[] = 'BizonGateway';
		return $methods;
	}
    
    function account_add_notice() {
		echo '<div class="notice notice-warning">' . sprintf(
			esc_html__( 'Please set up your %s payment secret key, public key, and others from', BIZON_PLUGIN_NAME ),
			'<span>' . esc_html( BIZON_PLUGIN_NAME ) . '</span>'
		) . ' <a href="' . esc_url( admin_url( 'admin.php?page=wc-settings&tab=checkout&section=' . strtolower( bizon_title_to_key( BIZON_PLUGIN_NAME ) ) . '_gateway' ) ) . '">' . esc_html__( 'WooCommerce General Setting', BIZON_PLUGIN_NAME ) . '</a>.</div>';
	}
	

}

add_action( 'plugins_loaded', 'bizon_init' );


function bizon_enqueue_styles() {
	wp_enqueue_style( 'bizon-custom-styles', plugins_url( 'assets/style.css', __FILE__ ) );
}
add_action( 'wp_enqueue_scripts', 'bizon_enqueue_styles' );
